import { DatePicker, Radio, Space } from "antd"
import React from "react"
import TableData from "../../components/TableData"
import columns12 from "./tableConfig"



const Account: React.FC = () => {


    return <div>

        <TableData
            leftChild={<Space>
                <Radio.Group defaultValue="a" buttonStyle="solid">
                    <Radio.Button value="a">总排行</Radio.Button>
                    <Radio.Button value="b">今日排行</Radio.Button>
                    <Radio.Button value="c">昨日排行</Radio.Button>
                    <Radio.Button value="d">7日排行</Radio.Button>
                    <Radio.Button value="f">30日排行</Radio.Button>
                </Radio.Group>
                <DatePicker.RangePicker />
            </Space>}
            scroll={{ x: 1000, y: 600 }}
            ajax={null}
            fixed={{ left: 1, right: 0 }}
            dataSource={[]}
            title='推广账号消耗排行榜'
            onChange={(props: any) => {
                console.log('props--->', props)
            }}
            config={columns12()}
            configName={'推广账号消耗排行榜'}
        />
    </div>
}

export default Account